@import (reference) 'mixins';
@import (reference) 'settings';

.comment {
  border: solid 1px @comment-border-color;
  margin-bottom: 1rem;
  padding-top: 0.5rem;

  &:target > .comment-row {
    background: @comment-highlight-background;
    border: dotted 1px;
  }

  .comment-replies & {
    // let inner replies have a smaller margin
    margin: 0 0.5rem 0.5rem;
  }

  .comment-body {
    padding-right: 0.5rem;
  }
}

.comment-thread-nav {
  background: @alert-notice-color;
  border: solid 1px;
  margin-bottom: 1rem;
  padding: 1rem 1rem 0;

  h1 {
    font-size: 1.33rem;
  }
}

.comment-info {
  .meta;
  font-weight: normal;
}

.comment-row {
  .vote-flex;
}

.comment-nav {
  .meta-nav;

  ul {
    margin-bottom: 0.5rem;
  }
}

/*
 * 1. Hide label in comment form.
 */
.comment-form .comment-row label {
  display: none; /* 1 */
}

.comment-user.submitter {
  background: @comment-submitter-background-color;
  border-radius: 2px;
  color: @comment-submitter-color;
  padding: 0 0.25rem;
}
